Package org.silverpeas.components.websites.service

## Interface WebSiteService

- All Known Implementing Classes:
    `DefaultWebSiteService`

      public interface WebSiteService

  This is the WebSite manager service controller of the MVC. It is implemented as a CDI Bean. It controls all the activities that happen in a client session. It also provides mechanisms to access other service layer.
  Version:
    1.0
  Author:
    Cecile BONIN

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addFolder​(org.silverpeas.core.node.model.NodeDetail subFolder, org.silverpeas.core.node.model.NodePK fatherId, org.silverpeas.core.admin.user.model.UserDetail currentUser)` |
    `void` | `addPublicationToTopic​(org.silverpeas.core.contribution.publication.model.PublicationPK pubPK, org.silverpeas.core.node.model.NodePK fatherPK)` |
    `void` | `associateIcons​(String componentId, String id, Collection<String> liste)` |
    `void` | `changePubsOrder​(org.silverpeas.core.contribution.publication.model.PublicationPK pubPK, org.silverpeas.core.node.model.NodePK nodePK, int direction)` |
    `void` | `changeTopicsOrder​(String way, org.silverpeas.core.node.model.NodePK nodePK, org.silverpeas.core.node.model.NodePK fatherPK)` |
    `String` | `createPublication​(String componentId, org.silverpeas.core.contribution.publication.model.PublicationDetail pubDetail)` |
    `String` | `createWebSite​(String componentId, SiteDetail description, org.silverpeas.core.admin.user.model.UserDetail currentUser)` |
    `void` | `deleteFolder​(org.silverpeas.core.node.model.NodePK pkToDelete)` |
    `void` | `deletePublication​(org.silverpeas.core.contribution.publication.model.PublicationPK pubPK)` |
    `void` | `deleteWebSites​(String componentId, Collection<String> liste)` |
    `void` | `dePublish​(String componentId, Collection<String> liste)` |
    `static WebSiteService` | `get()` |
    `Collection<org.silverpeas.core.node.model.NodePK>` | `getAllFatherPK​(org.silverpeas.core.contribution.publication.model.PublicationPK pubPK)` |
    `Collection<IconDetail>` | `getAllIcons​(String componentId)` |
    `Collection<SiteDetail>` | `getAllWebSite​(String componentId)` |
    `org.silverpeas.core.node.model.NodeDetail` | `getFolderDetail​(org.silverpeas.core.node.model.NodePK pk)` |
    `Collection<IconDetail>` | `getIcons​(String componentId, String id)` |
    `String` | `getIdPublication​(String componentId, String idSite)` |
    `String` | `getNextId​(String componentId)` |
    `org.silverpeas.core.contribution.publication.model.PublicationDetail` | `getPublicationDetail​(org.silverpeas.core.contribution.publication.model.PublicationPK pk)` |
    `int` | `getSilverObjectId​(String componentId, String id)` |
    `SiteDetail` | `getWebSite​(String componentId, String id)` |
    `List<SiteDetail>` | `getWebSites​(String componentId, List<String> ids)` |
    `FolderDetail` | `goTo​(org.silverpeas.core.node.model.NodePK pk)` |
    `void` | `index​(String componentId)` |
    `void` | `publish​(String componentId, Collection<String> liste)` |
    `void` | `removePublicationFromTopic​(org.silverpeas.core.contribution.publication.model.PublicationPK pubPK, org.silverpeas.core.node.model.NodePK fatherPK)` |
    `void` | `updateClassification​(org.silverpeas.core.contribution.publication.model.PublicationPK pubPK, List<String> arrayTopic)` |
    `void` | `updateFolder​(org.silverpeas.core.node.model.NodeDetail topic, org.silverpeas.core.node.model.NodePK fatherPK)` |
    `void` | `updatePublication​(org.silverpeas.core.contribution.publication.model.PublicationDetail pubDetail, String componentId)` |
    `void` | `updateWebSite​(String componentId, SiteDetail description)` |

- - ### Method Detail

    - #### get

          static WebSiteService get()

    - #### goTo

          FolderDetail goTo​(org.silverpeas.core.node.model.NodePK pk)

    - #### addFolder

          void addFolder​(org.silverpeas.core.node.model.NodeDetail subFolder,
                         org.silverpeas.core.node.model.NodePK fatherId,
                         org.silverpeas.core.admin.user.model.UserDetail currentUser)

    - #### updateFolder

          void updateFolder​(org.silverpeas.core.node.model.NodeDetail topic,
                            org.silverpeas.core.node.model.NodePK fatherPK)

    - #### getFolderDetail

          org.silverpeas.core.node.model.NodeDetail getFolderDetail​(org.silverpeas.core.node.model.NodePK pk)

    - #### deleteFolder

          void deleteFolder​(org.silverpeas.core.node.model.NodePK pkToDelete)

    - #### changeTopicsOrder

          void changeTopicsOrder​(String way,
                                 org.silverpeas.core.node.model.NodePK nodePK,
                                 org.silverpeas.core.node.model.NodePK fatherPK)

    - #### getPublicationDetail

          org.silverpeas.core.contribution.publication.model.PublicationDetail getPublicationDetail​(org.silverpeas.core.contribution.publication.model.PublicationPK pk)

    - #### createPublication

          String createPublication​(String componentId,
                                   org.silverpeas.core.contribution.publication.model.PublicationDetail pubDetail)

    - #### addPublicationToTopic

          void addPublicationToTopic​(org.silverpeas.core.contribution.publication.model.PublicationPK pubPK,
                                     org.silverpeas.core.node.model.NodePK fatherPK)

    - #### removePublicationFromTopic

          void removePublicationFromTopic​(org.silverpeas.core.contribution.publication.model.PublicationPK pubPK,
                                          org.silverpeas.core.node.model.NodePK fatherPK)

    - #### updatePublication

          void updatePublication​(org.silverpeas.core.contribution.publication.model.PublicationDetail pubDetail,
                                 String componentId)

    - #### deletePublication

          void deletePublication​(org.silverpeas.core.contribution.publication.model.PublicationPK pubPK)

    - #### getAllFatherPK

          Collection<org.silverpeas.core.node.model.NodePK> getAllFatherPK​(org.silverpeas.core.contribution.publication.model.PublicationPK pubPK)

    - #### getIdPublication

          String getIdPublication​(String componentId,
                                  String idSite)

    - #### updateClassification

          void updateClassification​(org.silverpeas.core.contribution.publication.model.PublicationPK pubPK,
                                    List<String> arrayTopic)

    - #### changePubsOrder

          void changePubsOrder​(org.silverpeas.core.contribution.publication.model.PublicationPK pubPK,
                               org.silverpeas.core.node.model.NodePK nodePK,
                               int direction)

    - #### getAllWebSite

          Collection<SiteDetail> getAllWebSite​(String componentId)

    - #### getWebSite

          SiteDetail getWebSite​(String componentId,
                                String id)

    - #### getWebSites

          List<SiteDetail> getWebSites​(String componentId,
                                       List<String> ids)

    - #### getIcons

          Collection<IconDetail> getIcons​(String componentId,
                                          String id)

    - #### getNextId

          String getNextId​(String componentId)

    - #### getAllIcons

          Collection<IconDetail> getAllIcons​(String componentId)

    - #### associateIcons

          void associateIcons​(String componentId,
                              String id,
                              Collection<String> liste)

    - #### publish

          void publish​(String componentId,
                       Collection<String> liste)

    - #### dePublish

          void dePublish​(String componentId,
                         Collection<String> liste)

    - #### deleteWebSites

          void deleteWebSites​(String componentId,
                              Collection<String> liste)

    - #### getSilverObjectId

          int getSilverObjectId​(String componentId,
                                String id)

    - #### index

          void index​(String componentId)

    - #### updateWebSite

          void updateWebSite​(String componentId,
                             SiteDetail description)

    - #### createWebSite

          String createWebSite​(String componentId,
                               SiteDetail description,
                               org.silverpeas.core.admin.user.model.UserDetail currentUser)